System 2.0.0.0 4.0.0.0 System.Security.Cryptography.AsnEncodedData System.MonoTODO("Some X500DistinguishedNameFlags options aren't supported, like DoNotUsePlusSign, DoNotUseQuotes and ForceUTF8Encoding")

This class is like an extension to the or property, which is the name of the person or entity that the certificate is being issued to. X.500 is an international standard for distributed directory services. The distinguished name uses the following format:

[X500:/C=CountryCode/O=Organization/OU=OrganizationUnit/CN=CommonName]

The following field length limits apply:

Field

Length Limit

CountryCode

2 characters

Organization

Up to 64 characters

OrganizationUnit

Up to 32 characters

CommonName

Up to 64 characters

The following guidelines apply:

Field values can be uppercase or lowercase.

Delimiters are slash marks (/) and must appear before the first value and between subsequent values.

Delimiters can be followed by a space.

The following is an example of a correctly formatted name: [X500:/ C=US/ O=Microsoft/ OU=WGA/ CN=TedSt]

Represents the distinguished name of an X509 certificate. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The class inherits from the class.

  Initializes a new instance of the class using information from the specified byte array.

  A byte array that contains distinguished name information.
- Constructor
  2.0.0.0
  4.0.0.0

  The class inherits from the class.

  Initializes a new instance of the class using the specified object.

  An object that represents the distinguished name.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a copy of the specified object. The class inherits from the class.

  Initializes a new instance of the class using the specified object.

  An object.
- Constructor
  2.0.0.0
  4.0.0.0

  The class inherits from the class.

  Initializes a new instance of the class using information from the specified string.

  A string that represents the distinguished name.
- Constructor
  2.0.0.0
  4.0.0.0

  The class inherits from the class.

  Initializes a new instance of the class using the specified string and flag.

  A string that represents the distinguished name.
  A bitwise combination of the enumeration values that specify the characteristics of the distinguished name.
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  This method decodes the ASN encoded distinguished name into a string value.

  Decodes a distinguished name using the characteristics specified by the parameter.

  The decoded distinguished name.

  A bitwise combination of the enumeration values that specify the characteristics of the distinguished name.
- Method
  2.0.0.0
  4.0.0.0
  System.String ``

  Use this method to print Abstract Syntax Notation number One (ASN.1)-encoded data or output the information to a text box. Use the parameter to control the layout of the output.

  Returns a formatted version of an X500 distinguished name for printing or for output to a text window or to a console.

  A formatted string that represents the X500 distinguished name.

  true if the return string should contain carriage returns; otherwise, false.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The distinguished name uses the following format:

  [X500:/C=CountryCode/O=Organization/OU=OrganizationUnit/CN=CommonName]

  Gets the comma-delimited distinguished name from an X500 certificate.